//========================================================================
//
// SplashPattern.cc
//
//========================================================================

//========================================================================
//
// Modified under the Poppler project - http://poppler.freedesktop.org
//
// All changes made under the Poppler project to this file are licensed
// under GPL version 2 or later
//
// Copyright (C) 2010, 2011 Thomas Freitag <Thomas.Freitag@alfa.de>
// Copyright (C) 2020, 2021 Albert Astals Cid <aacid@kde.org>
//
// To see a description of the changes please see the Changelog file that
// came with your tarball or type make ChangeLog if you are building from git
//
//========================================================================

#include <config.h>

#include "SplashMath.h"
#include "SplashScreen.h"
#include "SplashPattern.h"

//------------------------------------------------------------------------
// SplashPattern
//------------------------------------------------------------------------

SplashPattern::SplashPattern() { }

SplashPattern::~SplashPattern() { }

//------------------------------------------------------------------------
// SplashSolidColor
//------------------------------------------------------------------------

SplashSolidColor::SplashSolidColor(SplashColorConstPtr colorA)
{
    splashColorCopy(color, colorA);
}

SplashSolidColor::~SplashSolidColor() { }

bool SplashSolidColor::getColor(int x, int y, SplashColorPtr c)
{
    splashColorCopy(c, color);
    return true;
}

//------------------------------------------------------------------------
// SplashGouraudColor
//------------------------------------------------------------------------

SplashGouraudColor::~SplashGouraudColor() = default;
